Bug 877477 - Search -- missing ability to remove saved and/or recent search queries -- missing icon
Search -- missing ability to remove saved and/or recent search queries -- mis...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Mike McCune
Katello QA List
regression
: Regression, Triaged, ZStream
Depends On:
Blocks: 896253
  Show dependency treegraph
 
Reported: 2012-11-16 11:18 EST by Corey Welton
Modified: 2014-09-18 11:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 896253 (view as bug list)
Environment:
Last Closed: 2013-09-19 14:15:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2012-11-16 11:18:30 EST
In search, when user attempts to remove a recent search and/or a saved search, there is no icon to support removal.

It does look like you can remove a saved search even though the icon is missing. Doesn't seem to work with historical search, though I am not sure whether that is desired behavior or not

Steps to reproduce
1. Import RH manifest
2. Go to Content > Subscriptions > Red Hat subscriptions
3. Search for a variety of terms: 'Red', 'hat', 'RH', 'foobar'
4. Enter 'Red' as a search; afterwards, hit the dropdown arrow and Save as Favorite
5. hit the dropdown arrow again, noting your saved term. Attempt to remove it, as well as any of your historical search terms.

Current result:
* Saved searches /can/ be removed -- but you have to hover over where there is an apparent missing icon
* Doesn't seem to be a way to remove historical searches

Expected results
* Saved searches (and possibly historical searches) need a "remove" icon
Comment 3 Jason E. Rist 2013-01-09 22:35:54 EST
Works fine in latest master.2d91fdca0b33b9b0c592dcc17618333cec69e0c6
Comment 8 Mike McCune 2013-09-19 14:15:40 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.